/* General Styles */
.nav-main-container {
  width: 100%;
  background: linear-gradient(45deg, #1e3c72, #2a5298);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  position: sticky;
  top: 0;
  z-index: 1000;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 14px 20px;
  flex-wrap: wrap;
}

.brand-container .Brand-link {
  color: #fff;
  text-decoration: none;
  font-size: 24px;
  font-weight: bold;
  animation: fadeIn 1s ease-in-out;
}

.nav-links {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  gap: 20px;
  flex-wrap: wrap;
}

.nav-links li {
  margin: 0;
}

.nav-links a, .nav-links button {
  color: #fff;
  text-decoration: none;
  font-size: 16px;
  padding: 8px 16px;
  border-radius: 4px;
  transition: background-color 0.3s ease-in-out, transform 0.3s ease;
  animation: fadeInUp 1s ease-in-out;
  border: none;
  background: none;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.nav-links a:hover, .nav-links button:hover {
  background-color: rgba(255, 255, 255, 0.2);
  transform: translateY(-2px);
}

/* Responsive Styles */
@media (max-width: 768px) {
  .navbar {
      flex-direction: column;
      align-items: flex-start;
  }

  .nav-links {
      flex-direction: column;
      align-items: flex-start;
      width: 100%;
  }

  .nav-links li {
      margin: 5px 0;
  }
}

/* Keyframes for Animations */
@keyframes fadeIn {
  from {
      opacity: 0;
  }
  to {
      opacity: 1;
  }
}

@keyframes fadeInUp {
  from {
      transform: translateY(20px);
      opacity: 0;
  }
  to {
      transform: translateY(0);
      opacity: 1;
  }
}

/* Animation for hover effect on Brand-link */
.brand-container .Brand-link:hover {
  color: #f0a500;
  animation: bounce 0.5s ease-in-out;
}

@keyframes bounce {
  0%, 100% {
      transform: translateY(0);
  }
  50% {
      transform: translateY(-5px);
  }
}
